Bug 1104199 - RabbitMQ server shouldn't leave epmd running after being stopped
Summary: RabbitMQ server shouldn't leave epmd running after being stopped
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rabbitmq-server
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 5.0 (RHEL 7)
Assignee: Peter Lemenkov
QA Contact: Udi Shkalim
URL:
Whiteboard:
Depends On: 1104843
Blocks: 1083890
TreeView+ depends on / blocked
 
Reported: 2014-06-03 13:31 UTC by Fabio Massimo Di Nitto
Modified: 2017-02-22 12:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-22 12:02:28 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Fabio Massimo Di Nitto 2014-06-03 13:31:02 UTC
[root@rhos5-rabbitmq1 ~]# systemctl start rabbitmq-server

[root@rhos5-rabbitmq1 ~]# ps ax | grep erlang
... take a note ....

[root@rhos5-rabbitmq1 ~]# rabbitmqctl status
... note same error as #1104193

[root@rhos5-rabbitmq1 ~]# ps ax | grep erlang
notice the new process
 3652 ?        S      0:00 /usr/lib64/erlang/erts-5.10.4/bin/epmd -daemon

[root@rhos5-rabbitmq1 ~]# systemctl stop rabbitmq-server
[root@rhos5-rabbitmq1 ~]# ps ax | grep erlang
 3652 ?        S      0:00 /usr/lib64/erlang/erts-5.10.4/bin/epmd -daemon

Comment 2 Peter Lemenkov 2015-10-09 10:49:17 UTC
It's not easy in systemd to detect if a service is idle. So far the best advice is to stop epmd@<ip-address>.service and the corresponding socket manually.

I believe we should close this ticket as CANTFIX.

Comment 3 Peter Lemenkov 2015-10-09 10:50:21 UTC
See the discussion in fedora-devel on that matter:

http://thread.gmane.org/gmane.linux.redhat.fedora.devel/201512/focus=201540

Comment 4 Fabio Massimo Di Nitto 2015-10-09 12:25:37 UTC
You can use:

[Service]
ExecStop=....

in order to use an external script to cleanup after you. I think there are also other keywords to trigger scripts or commands Before or After Stop.


Note You need to log in before you can comment on or make changes to this bug.